Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class TabbedPane

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx
              echopointng.AbleComponent
                  echopointng.TabbedPane

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Heightable, Insetable, MouseCursorable, Sizeable, ToolTipable, Widthable, java.io.Serializable, PaneContainer, RenderIdSupport

    public class TabbedPane

extends AbleComponent
implements PaneContainer

`TabbedPane` is used to provide a tabbed interface to a collection of `Component`s.

A `TabModel` is used to provide the collections of tabs and the content that should be shown when a given tab is selected.

A `SingleSelectionModel` is used to track which tab is currently selected.

See Also:
  Serialized Form

Field Summary
`static Style` | `DEFAULT_STYLE`
`static java.lang.String` | `PROPERTY_MODEL`
`static java.lang.String` | `PROPERTY_SELECTION_MODEL`
`static java.lang.String` | `PROPERTY_TAB_PLACEMENT`
`static java.lang.String` | `PROPERTY_TAB_SPACING`

Fields inherited from class echopointng.ComponentEx
`PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`TabbedPane()` Constructs a `TabbedPane` with the a default empty `DefaultTabModel` as the TabbedPane's model.
`TabbedPane(TabModel tabModel)` Constructs a `TabbedPane` with the specified `TabModel`.

Method Summary
`TabModel` | `getModel()`
`int` | `getSelectedIndex()`
`SingleSelectionModel` | `getSelectionModel()`
`int` | `getTabPlacement()` Returns where the tabs are placed on the TabbedPane.
`int` | `getTabSpacing()`
`void` | `processInput(java.lang.String inputName, java.lang.Object inputValue)` Processes client input specific to the `Component` received from the `UpdateManager`.
`void` | `setModel(TabModel model)` Sets the `TabModel` used to provide the TabbedPane's tabs and content.
`void` | `setSelectedIndex(int index)` Sets the selected index of the TabbedPane.
`void` | `setSelectionModel(SingleSelectionModel selectionModel)` Sets the `SingleSelectionModel` used to track the selected index of the TabbedPane
`void` | `setTabPlacement(int tabPlacement)` Sets where the tabs are placed on the TabbedPane.
`void` | `setTabSpacing(int tabSpacing)` Sets the spacing (in pixels) between tabs
`int` | `size()`
`void` | `validate()` A life-cycle method invoked before the component is rendered to ensure it is in a valid state.

Methods inherited from class echopointng.AbleComponent
`getAccessKey, getBorder, getHeight, getInsets, getMouseCursor, getMouseCursorURI, getOutsets, getToolTipText, getWidth, setAccessKey, setBorder, setHeight, setInsets, setMouseCursor, setMouseCursorURI, setOutsets, setToolTipText, setWidth`

Methods inherited from class echopointng.ComponentEx
`getAttribute, getAttributeNames, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, isHidden, setAttribute, setHidden, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### PROPERTY_MODEL

    public static final java.lang.String PROPERTY_MODEL

See Also:
  Constant Field Values

### PROPERTY_SELECTION_MODEL

    public static final java.lang.String PROPERTY_SELECTION_MODEL

See Also:
  Constant Field Values

### PROPERTY_TAB_PLACEMENT

    public static final java.lang.String PROPERTY_TAB_PLACEMENT

See Also:
  Constant Field Values

### PROPERTY_TAB_SPACING

    public static final java.lang.String PROPERTY_TAB_SPACING

See Also:
  Constant Field Values

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

Constructor Detail

### TabbedPane

    public TabbedPane()

  Constructs a `TabbedPane` with the a default empty `DefaultTabModel` as the TabbedPane's model.

  You can retrieve this as follows to add content to the TabbedPane:

       TabbedPane tabbedPane = new TabbedPane();
       DefaultTabModel model = (DefaultTabModel) tabbedPane.getModel();
       model.addTab("Tab 1", new ContentThingy());
       model.addTab("Tab 2", new ContentThingo());

### TabbedPane

    public TabbedPane(TabModel tabModel)

  Constructs a `TabbedPane` with the specified `TabModel`.

  Parameters:
    `tabModel` - - the `TabModel` to use for this `TabbedPane`

Method Detail

### getModel

    public TabModel getModel()

  Returns:
    returns the `TabModel` used to provide the TabbedPane's tabs and content.

### getSelectedIndex

    public int getSelectedIndex()

  Returns:
    the currently selected index in the TabbedPane's selection model

### getSelectionModel

    public SingleSelectionModel getSelectionModel()

  Returns:
    the `SingleSelectionModel` used to track the selected index of the TabbedPane

### getTabPlacement

    public int getTabPlacement()

  Returns where the tabs are placed on the TabbedPane. This can be one of the following values :
  - `Alignment.TOP`- the bottom of the TabbedPane (default)
  - `Alignment.BOTTOM`- the bottom of the TabbedPane

  Returns:
    - the current placement of the tabs

### getTabSpacing

    public int getTabSpacing()

  Returns:
    - the spacing (in pixels) between tabs, the default is 5

### processInput

    public void processInput(java.lang.String inputName,
                             java.lang.Object inputValue)

  Description copied from class: `Component`
  Processes client input specific to the `Component` received from the `UpdateManager`. Derivative implementations should take care to invoke `super.processInput()`.

  Overrides:
    `processInput` in class `Component`
  Parameters:
    `inputName` - the name of the input
    `inputValue` - the value of the input
  See Also:
    `Component.processInput(java.lang.String, java.lang.Object)`

### setModel

    public void setModel(TabModel model)

  Sets the `TabModel` used to provide the TabbedPane's tabs and content.

  Parameters:
    `model` - - the `TabModel` used to provide the TabbedPane's tabs and content.

### setSelectedIndex

    public void setSelectedIndex(int index)

  Sets the selected index of the TabbedPane.

  Shortcurt method to getSelectionModel().setSelectedIndex(index).

  Parameters:
    `index` - - the index to select

### setSelectionModel

    public void setSelectionModel(SingleSelectionModel selectionModel)

  Sets the `SingleSelectionModel` used to track the selected index of the TabbedPane

  Parameters:
    `selectionModel` - - the `SingleSelectionModel` used to track the selected index of the TabbedPane

### setTabPlacement

    public void setTabPlacement(int tabPlacement)

  Sets where the tabs are placed on the TabbedPane. This can be one of the following values :
  - `Alignment.TOP`- the bottom of the TabbedPane (default)
  - `Alignment.BOTTOM`- the bottom of the TabbedPane

  Parameters:
    `tabPlacement` -

### setTabSpacing

    public void setTabSpacing(int tabSpacing)

  Sets the spacing (in pixels) between tabs

  Parameters:
    `tabSpacing` - - the spacing (in pixels) between tabs

### size

    public int size()

  Returns:
    the size on the TabbedPane's `TabModel`

### validate

    public void validate()

  Description copied from class: `Component`
  A life-cycle method invoked before the component is rendered to ensure it is in a valid state. Default implementation is empty. Overriding implementations should ensure to invoke `super.validate()` out of convention.

  Overrides:
    `validate` in class `Component`
  See Also:
    `Component.validate()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD